locked
install .net framework 1.0 on windows 7 RRS feed

  • Question

  • I need Microsoft .NET Framework 1.0 to run Garmin Basecamp but can't find a version that will install on Windows 7 Enterprise 64 bit

    Thursday, December 5, 2013 3:13 PM

Answers

  • I could install Basecamp, it just wouldn't open.  Before adding .NET Framework 3.5 an error message identified that as the problem.

    Finally discovered that a previously loaded set of topos prevented Basecamp from opening.  Deleting them and reloading them from the disc allowed Basecamp to open.

    • Marked as answer by 暁北 Wednesday, December 18, 2013 3:23 PM
    Monday, December 16, 2013 5:24 PM

All replies

  • You would be much better off updating your Garmin BaseCamp available @ http://www8.garmin.com/support/download_details.jsp?id=4435 which uses .NET Framework 3.5 SP1.

    Based on the information from Microsoft @ http://www.microsoft.com/en-us/download/details.aspx?id=96 & @ http://www.microsoft.com/en-us/windows/compatibility/CompatCenter/ProductDetailsViewer?Type=Software&Name=Microsoft+.NET+Framework&ModelOrVersion=1&Vendor=Microsoft&Locale=1033%2C2057%2C3081%2C4105%2C16393&LastSearchTerm=.NET%2BFramework%2B1.0&BreadcrumbPath=.NET+Framework+1.0&TempOsid=Windows+7 .NET Framework 1.0 is not supported at all.  The lowest is .NET Framework 1.1


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread. ”

    Thursday, December 5, 2013 3:33 PM
  • I have the latest version of Basecamp.  When I try to run it, it identifies the lack of .NET Framework 1.0 as an issue.  I contacted Garmin and they say Basecamp requires 1.0 (as well as 3.5 and several in-between) to operate.  When I told them that 1.0 won't install on PC, they said to take it up with Microsoft.
    Thursday, December 5, 2013 3:47 PM
  • If I turn off .NET Framework 3.5 and try to run Basecamp, I get a message saying that Basecamp requires 3.5 to operate.  When I turn 3.5 on, Basecamp tries to run and then says 1.0 is not installed. 

    So, somehow .NET Framework 3.5 is not operating or installing properly???

    Friday, December 6, 2013 3:08 PM
  • Then try installing .NET Framework 1.1 which you can find @Microsoft .NET Framework Version 1.1 Redistributable Package

    Otherwise you will need to contact Microsoft directly since this is an End User peer-to-peer forum and not Microsoft Support.


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread. ”

    Friday, December 6, 2013 7:42 PM
  • I have all the following installed:  .NET Framework 1.1, 2.0 sp2, 3.0 sp2, and 3.5 sp1.  The error message when I try to open Garmin Basecamp recognizes all of these as installed, but states that 1.0 is not installed.  The folks at Garmin say that 1.0 is a requirement to operate Basecamp.
    Friday, December 6, 2013 8:00 PM
  • Either BaseCamp is not compatible with Windows 7 Enterprise or you have some other conflict in your system causing the problem.  I just downloaded BaseCamp 4.2.4 and it installed on my Windows 7 Professional 64-bit without any problem whatsoever and the only .NET Framework on my system is .NET Framework 4.5.1.

    There is absolutely nothing wrong with BaseCamp 4.2.4 and it install on my 64-bit Windows 7 Professional system flawlessly!


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread. ”

    Friday, December 6, 2013 9:48 PM
  • I could install Basecamp, it just wouldn't open.  Before adding .NET Framework 3.5 an error message identified that as the problem.

    Finally discovered that a previously loaded set of topos prevented Basecamp from opening.  Deleting them and reloading them from the disc allowed Basecamp to open.

    • Marked as answer by 暁北 Wednesday, December 18, 2013 3:23 PM
    Monday, December 16, 2013 5:24 PM